![Dart CI](https://github.com/DartSociety/gini/workflows/Dart%20CI/badge.svg) ![Pub](https://img.shields.io/pub/v/gini) ![Dart](https://img.shields.io/badge/dart-2.2.0-orange) ![license](https://img.shields.io/github/license/dartsociety/Gini)<a href="http://spacemacs.org"> <img src="https://cdn.rawgit.com/syl20bnr/spacemacs/442d025779da2f62fc86c2082703697714db6514/assets/spacemacs-badge.svg" alt="Made with Spacemacs"></a><img height="222px" src="./tds.png" />

A library for calculating the Gini coefficient 

[license](https://github.com/dart-lang/stagehand/blob/master/LICENSE).


## Equation
<img src="./gini.jpeg" width="233px"/>

## Usage

A simple usage example:

```dart
import 'package:gini/gini.dart';

main() {
    List<double> incomes = [3000.12, 1200.29, 4500.01, 1600.89, 5200.11];
    double gini_coeffiecient = gini(incomes);
    print(gini_coeffiecient); // -> 0.2812325580495205
}
```

## Features and bugs

Please file feature requests and bugs at the [issue tracker][tracker].

[tracker]: https://github.com/DartSociety/gini/issues
