import 'dart:math' as math show pow;

double gini(List<double> list) {
  // sort in ascending order
  list.sort();
  // number of elements
  int n = list.length;
  // gini coefficient
  double value = 0;
  double sum1 = 0;
  double sum2 = 0;
  for (var j = 0; j < n; j++) {
    value = list[j];
    sum1 += ((2 * (j + 1)) - list.length - 1) * value;
    sum2 += value;
  }
  return ( sum1 / (math.pow(n, 2) * (sum2 / n)) );
}
