import 'package:gini/gini.dart';
import 'package:test/test.dart';

void main() {
  group('gini test', () {


    test('Test Coeffient 1', () {
      List<double> incomes = [3000.12, 1200.29, 4500.01, 1600.89, 5200.11];
      expect(gini(incomes), 0.2812325580495205);
    });
    
    test('Test Coefficient 2', () {
      List<double> incomes = [3000.12, 1200.29, 4500.01, 1600.89, 5200.11, 16800.19];
      expect(gini(incomes), 0.4659058273978707);
    });

    test('Test Equality', () {
      List<double> incomes = [1000.0, 1000.0, 1000.0, 1000.0, 1000.0, 1000.0];
      expect(gini(incomes), 0);
    });

    test('Test Ineqaulity', () {
      List<double> incomes = [0, 0, 0, 0, 0, 0, 0, 0, 0, 1000.0];
      expect(gini(incomes), 0.9);
    });
  });
}
